summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorarmin <armin@main.(none)>2012-01-15 19:03:32 +0100
committerarmin <armin@main.(none)>2012-01-15 19:03:32 +0100
commitb2a25fa589334048aece961d5c34c5a9d1dc7c80 (patch)
treedb531faacc32d255544e80e45ee5aee503a1bdd2 /x11-drivers/pvr-omap4-dkms/pvr-omap4-dkms-1.7.10.0.1.1.ebuild
parentVersion bump (diff)
downloadpandaboard-b2a25fa589334048aece961d5c34c5a9d1dc7c80.tar.gz
pandaboard-b2a25fa589334048aece961d5c34c5a9d1dc7c80.tar.bz2
pandaboard-b2a25fa589334048aece961d5c34c5a9d1dc7c80.zip
Version bump
Diffstat (limited to 'x11-drivers/pvr-omap4-dkms/pvr-omap4-dkms-1.7.10.0.1.1.ebuild')
-rw-r--r--x11-drivers/pvr-omap4-dkms/pvr-omap4-dkms-1.7.10.0.1.1.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/x11-drivers/pvr-omap4-dkms/pvr-omap4-dkms-1.7.10.0.1.1.ebuild b/x11-drivers/pvr-omap4-dkms/pvr-omap4-dkms-1.7.10.0.1.1.ebuild
new file mode 100644
index 0000000..6e1ea72
--- /dev/null
+++ b/x11-drivers/pvr-omap4-dkms/pvr-omap4-dkms-1.7.10.0.1.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/zd1211-firmware/zd1211-firmware-1.4.ebuild,v 1.2 2007/11/03 12:03:19 dsd Exp $
+
+EAPI="3"
+
+inherit eutils linux-mod
+
+DESCRIPTION="PowerVR SGX540 kernel driver for OMAP4"
+
+HOMEPAGE=""
+SRC_URI="https://launchpad.net/~tiomap-dev/+archive/release/+files/${PN}_${PV}.orig.tar.gz
+https://launchpad.net/~tiomap-dev/+archive/release/+files/${PN}_${PV}-1.diff.gz"
+
+
+LICENSE="TI"
+SLOT="0"
+KEYWORDS="arm"
+
+IUSE=""
+DEPEND="sys-kernel/omap4-sources"
+
+S="${WORKDIR}/${P}/sgx"
+#RESTRICT="strip"
+
+src_prepare() {
+ cd "${WORKDIR}"
+ epatch *.diff
+}
+
+src_compile() {
+ emake -j1 KERNELDIR="${KV_DIR}" LDFLAGS="" FLAVOUR=release W=1 || die
+}
+
+src_install() {
+ insinto /lib/modules/${KV_FULL}/kernel/extra
+ doins omapdrm_pvr.ko
+}